Package org.jboss.logmanager

## Class SerializedLogger

- java.lang.Object
- - org.jboss.logmanager.SerializedLogger

All Implemented Interfaces:
  `java.io.Serializable`

    public final class SerializedLogger
    extends java.lang.Object
    implements java.io.Serializable

A marker class for loggers. After read, the `readResolve()` method will return a logger with the given name.

See Also:
  Serialized Form

### Constructor Summary

Constructors
`SerializedLogger​(java.lang.String name)` Construct an instance.

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.Object` `readResolve()` Get the actual logger for this marker.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SerializedLogger

    public SerializedLogger​(java.lang.String name)

Construct an instance.

Parameters:
  `name` - the logger name

### Method Detail

#### readResolve

    public java.lang.Object readResolve()

Get the actual logger for this marker.

Returns:
  the logger
See Also:
  Serialization spec, 3.7